/*
 *  
 *  Copyright (C) 2004 Aurelien Alleaume <slts@free.fr>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __PVRUSB2_BUFFER_H
#define __PVRUSB2_BUFFER_H

#include <linux/mm.h>
#include "pvrusb2.h"

int pvr_alloc_buffer (struct pvr *);
void pvr_free_buffer (struct pvr *);
void pvr_unlink_all_buffer(struct pvr *);
void pvr_submit_all_buffer(struct pvr *);
int pvr_submit_buffer(struct pvr *pvr, int);
int pvr_map_buffer(struct pvr *, struct vm_area_struct *);
int pvr_buffer_wait(struct pvr *, unsigned long);
int pvr_cgmbuf(struct pvr *, struct video_mbuf *);
int pvr_reqbufs(struct pvr *, struct v4l2_requestbuffers *);
int pvr_querybuf(struct pvr *, struct v4l2_buffer *);
int pvr_qbuf(struct pvr *, struct v4l2_buffer *);
int pvr_dqbuf(struct pvr *, struct v4l2_buffer *, int);
int pvr_streamon(struct pvr *);
int pvr_streamoff(struct pvr *);


#endif /* __PVRUSB2_BUFFER_H */
